## org.apache.poi.hwpf.usermodel
Interface Notes

All Known Implementing Classes:
  NotesImpl

    public interface Notes

User-friendly interface to access document notes information

Author:
  Sergey Vladimirov (vlsergey {at} gmail {doc} com)

Method Summary
`int` `getNoteAnchorPosition(int index)` Returns the location of note anchor in main textspace
`int` `getNoteIndexByAnchorPosition(int anchorPosition)` Returns index of note (if exists, otherwise -1) with specified anchor position
`int` `getNotesCount()` Returns count of notes in document
`int` `getNoteTextEndOffset(int index)` Returns the end offset of the text corresponding to the reference within the footnote text address space
`int` `getNoteTextStartOffset(int index)` Returns the start offset of the text corresponding to the reference within the footnote text address space

Method Detail

### getNoteAnchorPosition

    int getNoteAnchorPosition(int index)

  Returns the location of note anchor in main textspace

### getNotesCount

    int getNotesCount()

  Returns count of notes in document

### getNoteIndexByAnchorPosition

    int getNoteIndexByAnchorPosition(int anchorPosition)

  Returns index of note (if exists, otherwise -1) with specified anchor position

### getNoteTextEndOffset

    int getNoteTextEndOffset(int index)

  Returns the end offset of the text corresponding to the reference within the footnote text address space

### getNoteTextStartOffset

    int getNoteTextStartOffset(int index)

  Returns the start offset of the text corresponding to the reference within the footnote text address space

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.